Get the events for a conversation
curl --request GET \
--url https://dust.tt/api/v1/w/{wId}/assistant/conversations/{cId}/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://dust.tt/api/v1/w/{wId}/assistant/conversations/{cId}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dust.tt/api/v1/w/{wId}/assistant/conversations/{cId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"eventId": "<string>",
"data": {}
}Conversations
Get the events for a conversation
Stream conversation events for the workspace identified by using Server-Sent Events (SSE).
The stream starts with a :connect comment. Event frames carry JSON with eventId and data fields. A plain-text data: done frame ends the current connection; clients may reconnect with lastEventId.
GET
/
api
/
v1
/
w
/
{wId}
/
assistant
/
conversations
/
{cId}
/
events
Get the events for a conversation
Authorizations
Your DUST API key is a Bearer token.
Query Parameters
Redis stream ID of the last received conversation event. Omit or pass an empty value to start from the available history.
Response
SSE event stream with a :connect comment followed by conversation frames. Each conversation frame contains JSON with eventId and data fields. The data field is the conversation event. View the "Events" page from this documentation for more information.